CognitiveX Docs
API

POST /api/connectors/mcp

Create Mcp Connector

POST /api/connectors/mcp

Create Mcp Connector

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
display_namestringYes-
server_urlstringYes-
transportstringNoDefaults to "streamable_http".
auth_typestringNoDefaults to "none".
access_tokenstring | nullNo-

Example request

curl -X POST https://api.cognitivx.io/api/connectors/mcp \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "display_name": "production",
    "server_url": "https://example.com",
    "transport": "streamable_http",
    "auth_type": "none",
    "access_token": null
  }'

Example response

201 application/json

{}

Responses

StatusDescription
201Created. The new resource is returned in the response body.
422Request validation failed. detail lists each offending field.